Subject: Re: bug#40676: 28.0.50; gnus locks when reading email

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 17 Apr 2020 08:22:33 -0700

Robert Pluim <[email-masked]> writes:

>>>>>> On Fri, 17 Apr 2020 08:09:28 -0700, Eric Abrahamsen <[email-masked]> said:
>
>     Eric> FWIW, a " *temp*" buffer is only created in mm-util.el, in
>     Eric> `mm-find-buffer-file-coding-system'. My guess is that some mime handler
>     Eric> is calling an external process to do some sort of decoding of article
>     Eric> content or attachment, and that's somehow getting attached to the temp
>     Eric> buffer incorrectly.
>
> 'with-temp-buffer' also creates such buffers, so it could be any
> number of things. The output of 'list-processes' will tell us.

Oh, I didn't know that, thanks! Looks like those buffer names are done
with `generate-new-buffer-name', though (I just tested and they all had
numbers appended), so I mm-util theory might not be 100% a red herring.
Pink herring? Anyway...